Try ERPNext Buy Support Partners Foundation

ERP Next installation error in Windows 10 Pro

I’ve installed WLS and followed this tutorial

but at the end this error occurs and it stops installation.

failed: [localhost] (item=['libjpeg8-dev', 'libtiff5-dev', 'tcl8.6-dev', 'tk8.6-dev']) => {
    "ansible_loop_var": "item",
    "cache_update_time": 1571088981,
    "cache_updated": false,
    "changed": false,
    "invocation": {
        "module_args": {
            "allow_unauthenticated": false,
            "autoclean": false,
            "autoremove": false,
            "cache_valid_time": 0,
            "deb": null,
            "default_release": null,
            "dpkg_options": "force-confdef,force-confold",
            "force": true,
            "force_apt_get": false,
            "install_recommends": null,
            "name": [
                "libjpeg8-dev",
                "libtiff5-dev",
                "tcl8.6-dev",
                "tk8.6-dev"
            ],
            "only_upgrade": false,
            "package": [
                "libjpeg8-dev",
                "libtiff5-dev",
                "tcl8.6-dev",
                "tk8.6-dev"
            ],
            "policy_rc_d": null,
            "purge": false,
            "state": "present",
            "update_cache": null,
            "upgrade": null
        }
    },
    "item": [
        "libjpeg8-dev",
        "libtiff5-dev",
        "tcl8.6-dev",
        "tk8.6-dev"
    ],
    "msg": "'/usr/bin/apt-get -y -o \"Dpkg::Options::=--force-confdef\" -o \"Dpkg::Options::=--force-confold\"   --force-yes   install 'tcl8.6-dev' 'tk8.6-dev'' failed: W: --force-yes is deprecated, use one of the options starting with --allow instead.\nE: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/libx/libx11/libx11-doc_1.6.4-3ubuntu0.2_all.deb  Undetermined Error [IP: 91.189.88.173 80]\nE: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?\n",
    "rc": 100,
    "stderr": "W: --force-yes is deprecated, use one of the options starting with --allow instead.\nE: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/libx/libx11/libx11-doc_1.6.4-3ubuntu0.2_all.deb  Undetermined Error [IP: 91.189.88.173 80]\nE: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?\n",
    "stderr_lines": [
        "W: --force-yes is deprecated, use one of the options starting with --allow instead.",
        "E: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/libx/libx11/libx11-doc_1.6.4-3ubuntu0.2_all.deb  Undetermined Error [IP: 91.189.88.173 80]",
        "E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?"
    ],
    "stdout": "Reading package lists...\nBuilding dependency tree...\nReading state information...\nThe following additional packages will be installed:\n  libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau2 libdrm-radeon1\n  libfontconfig1-dev libgl1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa\n  libglvnd0 libglx-mesa0 libglx0 libice-dev libice6 libllvm8 libpciaccess0\n  libpthread-stubs0-dev libsensors4 libsm-dev libsm6 libx11-dev libx11-doc\n  libx11-xcb1 libxau-dev libxaw7 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0\n  libxcb-present0 libxcb-shape0 libxcb-sync1 libxcb1-dev libxcomposite1\n  libxdamage1 libxdmcp-dev libxext-dev libxfixes3 libxft-dev libxi6\n  libxinerama1 libxmu6 libxpm4 libxrandr2 libxrender-dev libxshmfence1\n  libxss-dev libxt-dev libxt6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1 tcl8.6\n  tk8.6 x11-utils x11proto-core-dev x11proto-dev x11proto-scrnsaver-dev\n  x11proto-xext-dev xbitmaps xorg-sgml-doctools xterm xtrans-dev\nSuggested packages:\n  libice-doc lm-sensors libsm-doc libxcb-doc libxext-doc libxt-doc\n  tcl-tclreadline tcl8.6-doc tk8.6-doc mesa-utils xfonts-cyrillic\nThe following NEW packages will be installed:\n  libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau2 libdrm-radeon1\n  libfontconfig1-dev libgl1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa\n  libglvnd0 libglx-mesa0 libglx0 libice-dev libice6 libllvm8 libpciaccess0\n  libpthread-stubs0-dev libsensors4 libsm-dev libsm6 libx11-dev libx11-doc\n  libx11-xcb1 libxau-dev libxaw7 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0\n  libxcb-present0 libxcb-shape0 libxcb-sync1 libxcb1-dev libxcomposite1\n  libxdamage1 libxdmcp-dev libxext-dev libxfixes3 libxft-dev libxi6\n  libxinerama1 libxmu6 libxpm4 libxrandr2 libxrender-dev libxshmfence1\n  libxss-dev libxt-dev libxt6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1 tcl8.6\n  tcl8.6-dev tk8.6 tk8.6-dev x11-utils x11proto-core-dev x11proto-dev\n  x11proto-scrnsaver-dev x11proto-xext-dev xbitmaps xorg-sgml-doctools xterm\n  xtrans-dev\n0 upgraded, 65 newly installed, 0 to remove and 2 not upgraded.\nNeed to get 28.5 MB of archives.\nAfter this operation, 253 MB of additional disk space will be used.\nGet:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 libice6 amd64 2:1.0.9-2 [40.2 kB]\nGet:2 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsm6 amd64 2:1.2.2-1 [15.8 kB]\nGet:3 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxinerama1 amd64 2:1.1.3-1 [7908 B]\nGet:4 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxxf86dga1 amd64 2:1.1.4-1 [13.7 kB]\nGet:5 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxxf86vm1 amd64 1:1.1.4-1 [10.6 kB]\nGet:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-amdgpu1 amd64 2.4.97-1ubuntu1~18.04.1 [17.7 kB]\nGet:7 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpciaccess0 amd64 0.14-1 [17.9 kB]\nGet:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-intel1 amd64 2.4.97-1ubuntu1~18.04.1 [59.9 kB]\nGet:9 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-nouveau2 amd64 2.4.97-1ubuntu1~18.04.1 [16.5 kB]\nGet:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-radeon1 amd64 2.4.97-1ubuntu1~18.04.1 [21.7 kB]\nGet:11 http://archive.ubuntu.com/ubuntu bionic/main amd64 libfontconfig1-dev amd64 2.12.6-0ubuntu2 [689 kB]\nGet:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglapi-mesa amd64 19.0.8-0ubuntu0~18.04.3 [25.2 kB]\nGet:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libllvm8 amd64 1:8-3~ubuntu18.04.1 [13.6 MB]\nGet:14 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsensors4 amd64 1:3.4.0-4 [28.8 kB]\nGet:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1-mesa-dri amd64 19.0.8-0ubuntu0~18.04.3 [6809 kB]\nGet:16 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglvnd0 amd64 1.0.0-2ubuntu2.3 [47.0 kB]\nGet:17 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-xcb1 amd64 2:1.6.4-3ubuntu0.2 [9376 B]\nGet:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-dri2-0 amd64 1.13-2~ubuntu18.04 [6920 B]\nGet:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-dri3-0 amd64 1.13-2~ubuntu18.04 [6568 B]\nGet:20 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-glx0 amd64 1.13-2~ubuntu18.04 [22.1 kB]\nGet:21 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-present0 amd64 1.13-2~ubuntu18.04 [5552 B]\nGet:22 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-sync1 amd64 1.13-2~ubuntu18.04 [8808 B]\nGet:23 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxdamage1 amd64 1:1.1.4-3 [6934 B]\nGet:24 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxfixes3 amd64 1:5.0.3-1 [10.8 kB]\nGet:25 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxshmfence1 amd64 1.3-1 [5028 B]\nGet:26 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglx-mesa0 amd64 19.0.8-0ubuntu0~18.04.3 [138 kB]\nGet:27 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglx0 amd64 1.0.0-2ubuntu2.3 [28.1 kB]\nGet:28 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1 amd64 1.0.0-2ubuntu2.3 [86.2 kB]\nGet:29 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1-mesa-glx amd64 19.0.8-0ubuntu0~18.04.3 [5396 B]\nGet:30 http://archive.ubuntu.com/ubuntu bionic/main amd64 xorg-sgml-doctools all 1:1.11-1 [12.9 kB]\nGet:31 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-dev all 2018.4-4 [251 kB]\nGet:32 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-core-dev all 2018.4-4 [2620 B]\nGet:33 http://archive.ubuntu.com/ubuntu bionic/main amd64 libice-dev amd64 2:1.0.9-2 [46.8 kB]\nGet:34 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpthread-stubs0-dev amd64 0.3-4 [4068 B]\nGet:35 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsm-dev amd64 2:1.2.2-1 [16.2 kB]\nGet:36 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxau-dev amd64 1:1.0.8-1 [11.1 kB]\nGet:37 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxdmcp-dev amd64 1:1.1.2-3 [25.1 kB]\nGet:38 http://archive.ubuntu.com/ubuntu bionic/main amd64 xtrans-dev all 1.3.5-1 [70.5 kB]\nGet:39 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb1-dev amd64 1.13-2~ubuntu18.04 [80.0 kB]\nGet:40 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-dev amd64 2:1.6.4-3ubuntu0.2 [640 kB]\nGet:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-doc all 2:1.6.4-3ubuntu0.2 [2065 kB]\nErr:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-doc all 2:1.6.4-3ubuntu0.2\n  Undetermined Error [IP: 91.189.88.173 80]\nGet:42 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxt6 amd64 1:1.1.5-1 [160 kB]\nGet:43 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxmu6 amd64 2:1.1.2-2 [46.0 kB]\nGet:44 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxpm4 amd64 1:3.5.12-1 [34.0 kB]\nGet:45 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxaw7 amd64 2:1.0.13-1 [173 kB]\nGet:46 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-shape0 amd64 1.13-2~ubuntu18.04 [5972 B]\nGet:47 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxcomposite1 amd64 1:0.4.4-2 [6988 B]\nGet:48 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-xext-dev all 2018.4-4 [2620 B]\nGet:49 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxext-dev amd64 2:1.3.3-1 [82.1 kB]\nGet:50 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxrender-dev amd64 1:0.9.10-1 [24.9 kB]\nGet:51 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxft-dev amd64 2.3.2-1 [45.7 kB]\nGet:52 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxi6 amd64 2:1.7.9-1 [29.2 kB]\nGet:53 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxrandr2 amd64 2:1.5.1-1 [18.1 kB]\nGet:54 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-scrnsaver-dev all 2018.4-4 [2628 B]\nGet:55 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxss-dev amd64 1:1.2.2-1 [12.7 kB]\nGet:56 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxt-dev amd64 1:1.1.5-1 [395 kB]\nGet:57 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxtst6 amd64 2:1.2.3-1 [12.8 kB]\nGet:58 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxv1 amd64 2:1.0.11-1 [10.7 kB]\nGet:59 http://archive.ubuntu.com/ubuntu bionic/main amd64 tcl8.6 amd64 8.6.8+dfsg-3 [14.4 kB]\nGet:60 http://archive.ubuntu.com/ubuntu bionic/main amd64 tcl8.6-dev amd64 8.6.8+dfsg-3 [887 kB]\nGet:61 http://archive.ubuntu.com/ubuntu bionic/main amd64 tk8.6 amd64 8.6.8-4 [12.3 kB]\nGet:62 http://archive.ubuntu.com/ubuntu bionic/main amd64 tk8.6-dev amd64 8.6.8-4 [679 kB]\nGet:63 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11-utils amd64 7.7+3build1 [196 kB]\nGet:64 http://archive.ubuntu.com/ubuntu bionic/main amd64 xbitmaps all 1.1.1-2 [28.1 kB]\nGet:65 http://archive.ubuntu.com/ubuntu bionic/universe amd64 xterm amd64 330-1ubuntu2 [661 kB]\nFetched 26.5 MB in 1min 53s (234 kB/s)\n",
    "stdout_lines": [
        "Reading package lists...",
        "Building dependency tree...",
        "Reading state information...",
        "The following additional packages will be installed:",
        "  libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau2 libdrm-radeon1",
        "  libfontconfig1-dev libgl1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa",
        "  libglvnd0 libglx-mesa0 libglx0 libice-dev libice6 libllvm8 libpciaccess0",
        "  libpthread-stubs0-dev libsensors4 libsm-dev libsm6 libx11-dev libx11-doc",
        "  libx11-xcb1 libxau-dev libxaw7 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0",
        "  libxcb-present0 libxcb-shape0 libxcb-sync1 libxcb1-dev libxcomposite1",
        "  libxdamage1 libxdmcp-dev libxext-dev libxfixes3 libxft-dev libxi6",
        "  libxinerama1 libxmu6 libxpm4 libxrandr2 libxrender-dev libxshmfence1",
        "  libxss-dev libxt-dev libxt6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1 tcl8.6",
        "  tk8.6 x11-utils x11proto-core-dev x11proto-dev x11proto-scrnsaver-dev",
        "  x11proto-xext-dev xbitmaps xorg-sgml-doctools xterm xtrans-dev",
        "Suggested packages:",
        "  libice-doc lm-sensors libsm-doc libxcb-doc libxext-doc libxt-doc",
        "  tcl-tclreadline tcl8.6-doc tk8.6-doc mesa-utils xfonts-cyrillic",
        "The following NEW packages will be installed:",
        "  libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau2 libdrm-radeon1",
        "  libfontconfig1-dev libgl1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa",
        "  libglvnd0 libglx-mesa0 libglx0 libice-dev libice6 libllvm8 libpciaccess0",
        "  libpthread-stubs0-dev libsensors4 libsm-dev libsm6 libx11-dev libx11-doc",
        "  libx11-xcb1 libxau-dev libxaw7 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0",
        "  libxcb-present0 libxcb-shape0 libxcb-sync1 libxcb1-dev libxcomposite1",
        "  libxdamage1 libxdmcp-dev libxext-dev libxfixes3 libxft-dev libxi6",
        "  libxinerama1 libxmu6 libxpm4 libxrandr2 libxrender-dev libxshmfence1",
        "  libxss-dev libxt-dev libxt6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1 tcl8.6",
        "  tcl8.6-dev tk8.6 tk8.6-dev x11-utils x11proto-core-dev x11proto-dev",
        "  x11proto-scrnsaver-dev x11proto-xext-dev xbitmaps xorg-sgml-doctools xterm",
        "  xtrans-dev",
        "0 upgraded, 65 newly installed, 0 to remove and 2 not upgraded.",
        "Need to get 28.5 MB of archives.",
        "After this operation, 253 MB of additional disk space will be used.",
        "Get:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 libice6 amd64 2:1.0.9-2 [40.2 kB]",
        "Get:2 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsm6 amd64 2:1.2.2-1 [15.8 kB]",
        "Get:3 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxinerama1 amd64 2:1.1.3-1 [7908 B]",
        "Get:4 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxxf86dga1 amd64 2:1.1.4-1 [13.7 kB]",
        "Get:5 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxxf86vm1 amd64 1:1.1.4-1 [10.6 kB]",
        "Get:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-amdgpu1 amd64 2.4.97-1ubuntu1~18.04.1 [17.7 kB]",
        "Get:7 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpciaccess0 amd64 0.14-1 [17.9 kB]",
        "Get:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-intel1 amd64 2.4.97-1ubuntu1~18.04.1 [59.9 kB]",
        "Get:9 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-nouveau2 amd64 2.4.97-1ubuntu1~18.04.1 [16.5 kB]",
        "Get:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdrm-radeon1 amd64 2.4.97-1ubuntu1~18.04.1 [21.7 kB]",
        "Get:11 http://archive.ubuntu.com/ubuntu bionic/main amd64 libfontconfig1-dev amd64 2.12.6-0ubuntu2 [689 kB]",
        "Get:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglapi-mesa amd64 19.0.8-0ubuntu0~18.04.3 [25.2 kB]",
        "Get:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libllvm8 amd64 1:8-3~ubuntu18.04.1 [13.6 MB]",
        "Get:14 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsensors4 amd64 1:3.4.0-4 [28.8 kB]",
        "Get:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1-mesa-dri amd64 19.0.8-0ubuntu0~18.04.3 [6809 kB]",
        "Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglvnd0 amd64 1.0.0-2ubuntu2.3 [47.0 kB]",
        "Get:17 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-xcb1 amd64 2:1.6.4-3ubuntu0.2 [9376 B]",
        "Get:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-dri2-0 amd64 1.13-2~ubuntu18.04 [6920 B]",
        "Get:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-dri3-0 amd64 1.13-2~ubuntu18.04 [6568 B]",
        "Get:20 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-glx0 amd64 1.13-2~ubuntu18.04 [22.1 kB]",
        "Get:21 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-present0 amd64 1.13-2~ubuntu18.04 [5552 B]",
        "Get:22 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-sync1 amd64 1.13-2~ubuntu18.04 [8808 B]",
        "Get:23 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxdamage1 amd64 1:1.1.4-3 [6934 B]",
        "Get:24 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxfixes3 amd64 1:5.0.3-1 [10.8 kB]",
        "Get:25 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxshmfence1 amd64 1.3-1 [5028 B]",
        "Get:26 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglx-mesa0 amd64 19.0.8-0ubuntu0~18.04.3 [138 kB]",
        "Get:27 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglx0 amd64 1.0.0-2ubuntu2.3 [28.1 kB]",
        "Get:28 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1 amd64 1.0.0-2ubuntu2.3 [86.2 kB]",
        "Get:29 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1-mesa-glx amd64 19.0.8-0ubuntu0~18.04.3 [5396 B]",
        "Get:30 http://archive.ubuntu.com/ubuntu bionic/main amd64 xorg-sgml-doctools all 1:1.11-1 [12.9 kB]",
        "Get:31 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-dev all 2018.4-4 [251 kB]",
        "Get:32 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-core-dev all 2018.4-4 [2620 B]",
        "Get:33 http://archive.ubuntu.com/ubuntu bionic/main amd64 libice-dev amd64 2:1.0.9-2 [46.8 kB]",
        "Get:34 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpthread-stubs0-dev amd64 0.3-4 [4068 B]",
        "Get:35 http://archive.ubuntu.com/ubuntu bionic/main amd64 libsm-dev amd64 2:1.2.2-1 [16.2 kB]",
        "Get:36 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxau-dev amd64 1:1.0.8-1 [11.1 kB]",
        "Get:37 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxdmcp-dev amd64 1:1.1.2-3 [25.1 kB]",
        "Get:38 http://archive.ubuntu.com/ubuntu bionic/main amd64 xtrans-dev all 1.3.5-1 [70.5 kB]",
        "Get:39 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb1-dev amd64 1.13-2~ubuntu18.04 [80.0 kB]",
        "Get:40 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-dev amd64 2:1.6.4-3ubuntu0.2 [640 kB]",
        "Get:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-doc all 2:1.6.4-3ubuntu0.2 [2065 kB]",
        "Err:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-doc all 2:1.6.4-3ubuntu0.2",
        "  Undetermined Error [IP: 91.189.88.173 80]",
        "Get:42 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxt6 amd64 1:1.1.5-1 [160 kB]",
        "Get:43 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxmu6 amd64 2:1.1.2-2 [46.0 kB]",
        "Get:44 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxpm4 amd64 1:3.5.12-1 [34.0 kB]",
        "Get:45 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxaw7 amd64 2:1.0.13-1 [173 kB]",
        "Get:46 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb-shape0 amd64 1.13-2~ubuntu18.04 [5972 B]",
        "Get:47 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxcomposite1 amd64 1:0.4.4-2 [6988 B]",
        "Get:48 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-xext-dev all 2018.4-4 [2620 B]",
        "Get:49 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxext-dev amd64 2:1.3.3-1 [82.1 kB]",
        "Get:50 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxrender-dev amd64 1:0.9.10-1 [24.9 kB]",
        "Get:51 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxft-dev amd64 2.3.2-1 [45.7 kB]",
        "Get:52 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxi6 amd64 2:1.7.9-1 [29.2 kB]",
        "Get:53 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxrandr2 amd64 2:1.5.1-1 [18.1 kB]",
        "Get:54 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-scrnsaver-dev all 2018.4-4 [2628 B]",
        "Get:55 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxss-dev amd64 1:1.2.2-1 [12.7 kB]",
        "Get:56 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxt-dev amd64 1:1.1.5-1 [395 kB]",
        "Get:57 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxtst6 amd64 2:1.2.3-1 [12.8 kB]",
        "Get:58 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxv1 amd64 2:1.0.11-1 [10.7 kB]",
        "Get:59 http://archive.ubuntu.com/ubuntu bionic/main amd64 tcl8.6 amd64 8.6.8+dfsg-3 [14.4 kB]",
        "Get:60 http://archive.ubuntu.com/ubuntu bionic/main amd64 tcl8.6-dev amd64 8.6.8+dfsg-3 [887 kB]",
        "Get:61 http://archive.ubuntu.com/ubuntu bionic/main amd64 tk8.6 amd64 8.6.8-4 [12.3 kB]",
        "Get:62 http://archive.ubuntu.com/ubuntu bionic/main amd64 tk8.6-dev amd64 8.6.8-4 [679 kB]",
        "Get:63 http://archive.ubuntu.com/ubuntu bionic/main amd64 x11-utils amd64 7.7+3build1 [196 kB]",
        "Get:64 http://archive.ubuntu.com/ubuntu bionic/main amd64 xbitmaps all 1.1.1-2 [28.1 kB]",
        "Get:65 http://archive.ubuntu.com/ubuntu bionic/universe amd64 xterm amd64 330-1ubuntu2 [661 kB]",
        "Fetched 26.5 MB in 1min 53s (234 kB/s)"
    ]
}

PLAY RECAP ***********************************************************************************************************************************localhost                  : ok=4    changed=1    unreachable=0    failed=1    skipped=2    rescued=0    ignored=0

Traceback (most recent call last):
  File "install.py", line 413, in <module>
    install_bench(args)
  File "install.py", line 135, in install_bench
    run_playbook('site.yml', sudo=True, extra_vars=extra_vars)
  File "install.py", line 327, in run_playbook
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'))
  File "/usr/lib/python3.6/subprocess.py", line 311, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['ansible-playbook', '-c', 'local', 'site.yml', '-vvvv', '-e', '@/tmp/extra_vars.json', '--become', '--become-user=frappe']' returned non-zero exit status 2.

Hi,
you have to restart from zero installation if failed, for that perform this step and proceed with fresh install

Important Info:
Windows home 10 or windows Pro 10 build 18362 or higher is important,

Note that I failed many time installing ERPNext, each time I restart from an WSL ubuntu fresh (under apps & features, select ubuntu, advanced options, reset)

How much RAM is your computer?

note every step, and result then shared for the community.

thx
Nofal

My Windows Build Details


Error where got stuck
fatal: [localhost]: FAILED! => {
“changed”: true,
“cmd”: [
“bench”,
“–site”,
“frappe.local”,
“install-app”,
“erpnext”
],
“delta”: “0:06:49.097697”,
“end”: “2019-10-16 02:01:52.125176”,
“invocation”: {
“module_args”: {
“_raw_params”: “bench --site frappe.local install-app erpnext”,
“_uses_shell”: false,
“argv”: null,
“chdir”: “/home/frappe/frappe-bench”,
“creates”: null,
“executable”: null,
“removes”: null,
“stdin”: null,
“stdin_add_newline”: true,
“strip_empty_ends”: true,
“warn”: true
}
},
“msg”: “non-zero return code”,
“rc”: 1,
“start”: “2019-10-16 01:55:03.027479”,
“stderr”: “Traceback (most recent call last):\n File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main\n “main”, mod_spec)\n File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code\n exec(code, run_globals)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in \n main()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main\n click.Group(commands=commands)(prog_name=‘bench’)\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call\n return self.main(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main\n rv = self.invoke(ctx)\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke\n return _process_result(sub_ctx.command.invoke(sub_ctx))\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke\n return ctx.invoke(self.callback, **ctx.params)\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke\n return callback(*args, **kwargs)\n File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func\n return f(get_current_context(), *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func\n ret = f(frappe._dict(ctx.obj), *args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 173, in install_app\n _install_app(app, verbose=context.verbose)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 84, in install_app\n add_to_installed_apps(name)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 108, in add_to_installed_apps\n post_install(rebuild_website)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 169, in post_install\n init_singles()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 190, in init_singles\n doc.save()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 271, in save\n return self._save(*args, **kwargs)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 294, in _save\n self.insert()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 222, in insert\n self._validate_links()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 755, in _validate_links\n frappe.LinkValidationError)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 360, in throw\n msgprint(msg, raise_exception=exc, title=title, indicator=‘red’)\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 346, in msgprint\n _raise_exception()\n File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 315, in _raise_exception\n raise raise_exception(msg)\nfrappe.exceptions.LinkValidationError: Could not find Default Currency: INR”,
“stderr_lines”: [
“Traceback (most recent call last):”,
" File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main",
" “main”, mod_spec)",
" File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code",
" exec(code, run_globals)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in “,
" main()”,
" File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main",
" click.Group(commands=commands)(prog_name=‘bench’)",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call",
" return self.main(*args, **kwargs)",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main",
" rv = self.invoke(ctx)",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke",
" return _process_result(sub_ctx.command.invoke(sub_ctx))",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke",
" return ctx.invoke(self.callback, **ctx.params)",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke",
" return callback(*args, **kwargs)",
" File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func",
" return f(get_current_context(), *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 25, in _func",
" ret = f(frappe._dict(ctx.obj), *args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 173, in install_app",
" _install_app(app, verbose=context.verbose)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 84, in install_app",
" add_to_installed_apps(name)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 108, in add_to_installed_apps",
" post_install(rebuild_website)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 169, in post_install",
" init_singles()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/installer.py”, line 190, in init_singles",
" doc.save()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 271, in save",
" return self._save(*args, **kwargs)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 294, in _save",
" self.insert()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 222, in insert",
" self._validate_links()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 755, in _validate_links",
" frappe.LinkValidationError)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 360, in throw",
" msgprint(msg, raise_exception=exc, title=title, indicator=‘red’)",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 346, in msgprint",
" _raise_exception()",
" File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 315, in _raise_exception",
" raise raise_exception(msg)",
“frappe.exceptions.LinkValidationError: Could not find Default Currency: INR”
],
“stdout”: "\nInstalling erpnext…\n\rUpdating DocTypes for erpnext : [ ]\rUpdating DocTypes for erpnext : [ ]\rUpdating DocTypes for erpnext : [ ]\rUpdating DocTypes for erpnext : [ ]\rUpdating DocTypes for erpnext : [ ]\rUpdating DocTypes for erpnext
“Updating DocTypes for erpnext : [=================================== ]”,

        "Updating DocTypes for erpnext       : [===================================     ]",
        "Updating DocTypes for erpnext       : [===================================     ]",
        "Updating DocTypes for erpnext       : 
        "Updating DocTypes for erpnext       : [========================================]"
    ]
}

PLAY RECAP *************************************************************************************************************
localhost                  : ok=73   changed=16   unreachable=0    failed=1    skipped=56   rescued=0    ignored=0

Traceback (most recent call last):
  File "install.py", line 413, in <module>
    install_bench(args)
  File "install.py", line 135, in install_bench
    run_playbook('site.yml', sudo=True, extra_vars=extra_vars)
  File "install.py", line 327, in run_playbook
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'))
  File "/usr/lib/python3.6/subprocess.py", line 311, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['ansible-playbook', '-c', 'local', 'site.yml', '-vvvv', '-e', '@/tmp/extra_vars.json', '--become', '--become-user=frappe']' returned non-zero exit status 2.
soomro@DESKTOP-AE9F43J:~$